import { IServerOrchJson } from '@fly-vue/lcdp-api';
import { ITreeOptions } from '@fly-vue/ide-base';
declare const _default: import("vue").DefineComponent<{
    data: {
        type: ObjectConstructor;
        required: true;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        data: Record<string, any>;
    } & {}>>>;
    emit: (event: "on-change-orch", ...args: any[]) => void;
    appId: string | undefined;
    orchData: import("vue").Ref<IServerOrchJson | undefined>;
    title: import("vue").Ref<any>;
    refDesigner: import("vue").Ref<any>;
    loaded: import("vue").Ref<boolean>;
    id: import("vue").ComputedRef<any>;
    reload: () => Promise<void>;
    getOrchId: (json: any) => any;
    onSave: (data: any) => Promise<void>;
    treeOptions: ITreeOptions;
    changeOrch: () => void;
    metaServerOrch: import("@fly-vue/lcdp-api").IMetaProps;
    ServerOrchDesigner: import("vue").DefineComponent<{
        id: null;
        title: null;
        data: null;
        doRefresh: null;
        hideOpers: {
            type: BooleanConstructor;
        };
        mode: {
            default: string;
        };
        enableInnerSave: {
            type: BooleanConstructor;
        };
        hideStencilPanel: {
            type: BooleanConstructor;
            default: boolean;
        };
        showRemove: {
            type: BooleanConstructor;
        };
        addIdPrefix: {
            type: BooleanConstructor;
            default: boolean;
        };
        showSaveAndPublishBtn: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: {
            id?: string | undefined;
            title?: string | undefined;
            data?: IServerOrchJson | undefined;
            doRefresh?: (() => void) | undefined;
            hideOpers?: boolean | undefined;
            mode: "create" | "edit";
            enableInnerSave?: boolean | undefined;
            hideStencilPanel: boolean;
            showRemove?: boolean | undefined;
            addIdPrefix: boolean;
            showSaveAndPublishBtn?: boolean | undefined;
        };
        emit: (event: "on-save" | "on-change" | "on-remove", ...args: any[]) => void;
        _data: import("vue").Ref<IServerOrchJson>;
        content: import("vue").Ref<any>;
        fullscreen: import("vue").Ref<any>;
        canRevert: import("vue").Ref<boolean>;
        canRedo: import("vue").Ref<boolean>;
        hasChange: import("vue").Ref<boolean>;
        saving: import("vue").Ref<boolean>;
        originalMeta: import("vue").Ref<any>;
        refDesigner: import("vue").Ref<any>;
        loaded: import("vue").Ref<boolean>;
        parametersSchema: import("vue").Ref<Record<string, import("@fly-vue/lcdp-api").IServerOrchParam> | undefined>;
        outputSchema: import("vue").Ref<Record<string, import("@fly-vue/lcdp-api").IServerOrchParam> | undefined>;
        appId: string | undefined;
        serverPrefix: string;
        recordId: import("vue").WritableComputedRef<unknown>;
        id: import("vue").ComputedRef<string | undefined>;
        getContent: () => Promise<{
            data: any;
            meta: any;
        }>;
        save: (deploy?: boolean | undefined) => Promise<void>;
        saveAndPublish: () => Promise<void>;
        refresh: () => Promise<void>;
        onChange: () => void;
        showDebuggerConsole: () => void;
        showCode: () => void;
        openParamsDialog: () => Promise<void>;
        convertEntityFieldsToParameterProperties: (entity: import("@fly-vue/lcdp-api").IEntity) => Record<string, import("@fly-vue/lcdp-api").IServerOrchParam>;
        convertModelPropertiesToParameterProperties: (model: import("@fly-vue/lcdp-api").IModel) => Record<string, import("@fly-vue/lcdp-api").IServerOrchParam>;
        handleParamSchema: (v: import("@fly-vue/lcdp-api").IServerOrchParam) => Promise<import("@fly-vue/lcdp-api").IServerOrchParam>;
        reloadParametersSchema: () => Promise<void>;
        confirmRemove: () => Promise<void>;
        reload: () => Promise<void>;
        LcdpServerOrchDesigner: () => Promise<any>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                middle: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                selectable: boolean;
                selected: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            middle: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            selectable: boolean;
            selected: boolean;
            overflowHidden: boolean;
        }>;
        Link: import("vue").DefineComponent<{
            icon: null;
            size: {
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
            };
            loading: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            emit: (event: "click", ...args: any[]) => void;
            onClick: (e: any) => void;
            Icon: import("vue").DefineComponent<{
                icon: null;
                size: null;
                color: null;
            }, {
                __sfc: boolean;
                props: {
                    icon: string;
                    size?: string | undefined;
                    color?: string | undefined;
                };
                isIdeIcon: import("vue").ComputedRef<boolean>;
                isProIcon: import("vue").ComputedRef<boolean>;
                isIdesIcon: import("vue").ComputedRef<boolean>;
                isLcIcon: import("vue").ComputedRef<boolean>;
                colorMap: Record<string, string>;
                color: import("vue").ComputedRef<string>;
                IdeIcon: import("vue").DefineComponent<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }, {
                    __sfc: boolean;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                    icon: {
                        type: StringConstructor;
                        required: true;
                    };
                    size: {
                        type: StringConstructor;
                        default: string;
                    };
                    color: {
                        type: StringConstructor;
                    };
                }>>, {
                    size: string;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                icon: null;
                size: null;
                color: null;
            }>>, {}>;
            Row: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-wrap': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                grow: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "click"[], string, Readonly<import("vue").ExtractPropTypes<{
            icon: null;
            size: {
                default: string;
            };
            disabled: {
                type: BooleanConstructor;
            };
            loading: {
                type: BooleanConstructor;
            };
        }>>, {
            size: string;
            loading: boolean;
            disabled: boolean;
        }>;
        Fullscreen: import("vue").DefineComponent<{
            value: {
                type: BooleanConstructor;
            };
            showTips: {
                type: BooleanConstructor;
            };
            showCancelBtn: {
                type: BooleanConstructor;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                value: boolean;
                showTips: boolean;
                showCancelBtn: boolean;
            }>>>;
            emit: (event: "input", ...args: any[]) => void;
            propsValue: import("vue").Ref<boolean>;
            message: any;
            enabled: import("vue").Ref<boolean>;
            fullscreen: (v: boolean) => void;
            cancel: () => void;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    itemsCenter: boolean;
                    justifyCenter: boolean;
                    center: boolean;
                    grow: boolean;
                    fit: boolean;
                    gutter: boolean;
                }>>>;
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean;
                    'ui-justify-center': boolean;
                    'ui-flex-grow': boolean;
                    'ui-h-0': boolean;
                    gutter: boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                grow: boolean;
                fit: boolean;
                gutter: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
            value: {
                type: BooleanConstructor;
            };
            showTips: {
                type: BooleanConstructor;
            };
            showCancelBtn: {
                type: BooleanConstructor;
            };
        }>>, {
            value: boolean;
            showTips: boolean;
            showCancelBtn: boolean;
        }>;
        Space: import("vue").DefineComponent<{}, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-save" | "on-change" | "on-remove")[], string, Readonly<import("vue").ExtractPropTypes<{
        id: null;
        title: null;
        data: null;
        doRefresh: null;
        hideOpers: {
            type: BooleanConstructor;
        };
        mode: {
            default: string;
        };
        enableInnerSave: {
            type: BooleanConstructor;
        };
        hideStencilPanel: {
            type: BooleanConstructor;
            default: boolean;
        };
        showRemove: {
            type: BooleanConstructor;
        };
        addIdPrefix: {
            type: BooleanConstructor;
            default: boolean;
        };
        showSaveAndPublishBtn: {
            type: BooleanConstructor;
        };
    }>>, {
        hideOpers: boolean;
        mode: string;
        enableInnerSave: boolean;
        hideStencilPanel: boolean;
        showRemove: boolean;
        addIdPrefix: boolean;
        showSaveAndPublishBtn: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            grow: boolean;
            fit: boolean;
            gutter: boolean;
        }>>>;
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean;
            'ui-justify-center': boolean;
            'ui-flex-grow': boolean;
            'ui-h-0': boolean;
            gutter: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        grow: boolean;
        fit: boolean;
        gutter: boolean;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            middle: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            selectable: boolean;
            selected: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        middle: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        selectable: boolean;
        selected: boolean;
        overflowHidden: boolean;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-change-orch"[], string, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: ObjectConstructor;
        required: true;
    };
}>>, {}>;
export default _default;
